# Logging In

The <mark style="color:orange;">`restapi/1.0/common`</mark> endpoint provides meta-calls that don’t require authentication, such as the authentication itself or fetching version information. To verify if the connection information is correct before trying to authenticate, the simplest call is to ask for the server’s version through the <mark style="color:orange;">`restapi/1.0/common/version`</mark> endpoint. The authentication itself is done through the **OAuth 1.0** <mark style="color:orange;">`restapi/1.0/common/oauth1`</mark> or **OAuth 2.0** <mark style="color:orange;">`restapi/1.0/common/oauth2`</mark> or <mark style="color:orange;">`restapi/1.0/common/basic`</mark> endpoints.

### How you can do

* [Odoo Version Information](https://synconics.gitbook.io/rest-api/connection/logging-in/how-you-can-do/odoo-version-information)
* [OAuth1 Authentication](https://synconics.gitbook.io/rest-api/connection/logging-in/how-you-can-do/oauth1-authentication)
  * 1\. [Temporary Credential Request](https://synconics.gitbook.io/rest-api/connection/how-you-can-do/oauth1-authentication#temporary-credential-request)
  * 2\. [Resource Owner Authorization](https://synconics.gitbook.io/rest-api/connection/how-you-can-do/oauth1-authentication#2.-resource-owner-authorization)
  * 3\. [Token Credentials Request](https://synconics.gitbook.io/rest-api/connection/how-you-can-do/oauth1-authentication#3.-token-credentials-request)
* [OAuth2 Authentication](https://synconics.gitbook.io/rest-api/connection/logging-in/how-you-can-do/oauth2-authentication)
  * 1\. [Resource Owner Authorization](https://synconics.gitbook.io/rest-api/connection/how-you-can-do/oauth2-authentication#1.-resource-owner-authorization)
  * 2\. [Token Credentials Request](https://synconics.gitbook.io/rest-api/connection/how-you-can-do/oauth2-authentication#2.-token-credentials-request)
* [Basic Authentication](https://synconics.gitbook.io/rest-api/connection/logging-in/how-you-can-do/basic-authentication)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://synconics.gitbook.io/rest-api/connection/logging-in.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
